apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: fusero-app-ingress
  namespace: fusero-prod
  annotations:
    traefik.ingress.kubernetes.io/router.entrypoints: web
spec:
  rules:
    - host: app.fusero.nl
      http:
        paths:
          - path: /api
            pathType: Prefix
            backend:
              service:
                name: fusero-backend-service
                port:
                  number: 14000
          - path: /
            pathType: Prefix
            backend:
              service:
                name: fusero-frontend-service
                port:
                  number: 80 